/* Copyright (c) 2005. Chris Richardson. All rights reserved */

package net.chrisrichardson.bankingExample.domain;

public class NoOverdraftAllowed extends OverdraftPolicyImpl {

    public void beforeDebitCheck(Account account,
            double originalBalance, double newBalance) throws MoneyTransferException {
        if (newBalance < 0) throw new MoneyTransferException();
    }

    public void afterDebitCheck(Account account,
            double originalBalance, double newBalance) {
    }

}
