/* Copyright (c) 2005. Chris Richardson. All rights reserved */

package net.chrisrichardson.bankingExample.domain;

import java.util.*;

public class TransferTransaction implements
        BankingTransaction {

    // For Hibernate
    private int id = -1;

    private Account fromAccount;
    private Account toAccount;
    private double amount;
    private Date date;

    // For Hibernate
    
    TransferTransaction() {
    }
    
    public TransferTransaction(Account fromAccount, Account toAccount, double amount, Date date) {
        this.fromAccount = fromAccount;
        this.toAccount = toAccount;
        this.amount = amount;
        this.date = date;
    }

    public double getAmount() {
        return amount;
    }

    public Date getDate() {
        return date;
    }

    public Account getFromAccount() {
        return fromAccount;
    }

    public Account getToAccount() {
        return toAccount;
    }

}
