/* Copyright (c) 2005. Chris Richardson. All rights reserved */

package net.chrisrichardson.bankingExample.facade;

import net.chrisrichardson.bankingExample.domain.*;

public interface AccountManagementFacade {

    public Account createAccount(String accountId, double initialBalance);
    
    public double getBalance(String accountId);

    public BankingTransaction transfer(
            String fromAccountId, String toAccountId,
            double amount)
            throws MoneyTransferException;

}
