/* Copyright (c) 2005. Chris Richardson. All rights reserved */

package net.chrisrichardson.bankingExample.tests;

import junit.framework.*;
import net.chrisrichardson.bankingExample.domain.*;
import net.chrisrichardson.bankingExample.domain.hibernate.*;
import net.chrisrichardson.bankingExample.facade.spring.*;

public class BankingExampleAllTests {

    public static Test suite() {
        TestSuite suite = new TestSuite(
                "Test for net.chrisrichardson.bankingExample.tests");
        //$JUnit-BEGIN$
        suite.addTest(BankingDomainAllTests.suite());
        suite.addTest(BankingDomainHibernateAllTests.suite());
        suite.addTestSuite(SpringHibernateAccountManagementFacadeTests.class);
        //$JUnit-END$
        return suite;
    }

}
