/* Copyright (c) 2005. Chris Richardson. All rights reserved */

package net.chrisrichardson.bankingExample.domain;

public interface OverdraftPolicy {

    void beforeDebitCheck(Account account,
            double originalBalance, double newBalance) throws MoneyTransferException;

    void afterDebitCheck(Account account, double originalBalance, double newBalance);

}
