/* Copyright (c) 2005. Chris Richardson. All rights reserved */

package net.chrisrichardson.bankingExample.domain.hibernate;

import net.chrisrichardson.bankingExample.domain.*;
import net.chrisrichardson.ormunit.hibernate.*;

public class HibernateAccountPersistenceTests extends HibernatePersistenceTests {

    protected String getConfigurationFile() {
        return "configurations/banking-hibernate-domain-model.xml";
    }
    
    public void testSimple() {
        String accountId = "A." + System.currentTimeMillis();
        Account account = new Account(accountId, 1.0);
        getHibernateTemplate().save(account);
    }

}
